Last Comment Bug 856867 - TestPilot main-thread I/O
: TestPilot main-thread I/O
Status: RESOLVED WONTFIX
: main-thread-io
Product: Mozilla Labs Graveyard
Classification: Graveyard
Component: Test Pilot (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 867445
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-01 16:43 PDT by Vladan Djeric (:vladan)
Modified: 2016-05-10 13:13 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Vladan Djeric (:vladan) 2013-04-01 16:43:02 PDT
I noticed Firefox getting janky not long after startup and discovered that TestPilot's remote-experiment-loader.js was monopolizing the main thread for about 600ms. From looking at the profile alone, it looks like the time is being spent opening a Zip archive and checking file mtimes.

Profile: http://people.mozilla.com/~bgirard/cleopatra/#report=3a3d37e58eacaa8ab13c723a75a31da1b5aa474c

TestPilot version 1.2.2

We should look into moving some of the I/O off the main thread. I'm told it's not currently possible to open archives off the main thread.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2013-05-06 12:49:03 PDT
Fixed by removing test pilot 1. Any new versions we integrate should not have this kind of problem.

Note You need to log in before you can comment on or make changes to this bug.